Bug 177602 - SCB exits immediately with "Unknown Error"
SCB exits immediately with "Unknown Error"
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2006-01-11 23:40 EST by Al Dunsmuir
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: system-config-bind-4.0.0-38_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-13 17:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
correct pre-FC5 pam config file (282 bytes, text/plain)
2006-01-12 11:31 EST, Jason Vas Dias
no flags Details

  None (edit)
Description Al Dunsmuir 2006-01-11 23:40:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I have 2 Fedora Core 4 boxes.  #1 is server with DNS and DHCP.  #2 is dev box with just caching nameserver.  Both use bind-chroot package.

In both S.C.B refuses to start, giving the error "Unknown Error" and immediately exiting.

DNS is down - custom setup removed by late-2005 update to kernel/bind/SCB via yum that removed master setup and reset to default caching-nameserver config.

Had problem in late 2004 with SCB... fixed in early 2005.  Would like to use it to set up DNS again, rather than manually editing the files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install bind-* and system-config-bind on FC4 box with latest maintenance
2.Start S.C.B via Gnome
3.Watch popup appear instead of S.C.B. panels.

Actual Results:  Small pop-up with title "Error" and contents "Unknown Error" opens.  Hit enter to close the box.

Expected Results:  S.C.B. opens, allowing me to set up bind configuration.

Additional info:

In both boxes, all packages related to bind, caching-nameserver and Network Manager were removed and reinstalled.  Latter required "rpm -e --noscripts --allmatch" to remove.  No change. 

Tried removing caching-nameserver and NetworkManager in server.  No change.
I do not need NetworkManager on the server box (until FC5 final), so no problem leaving off caching-nameserver.
Comment 1 Jason Vas Dias 2006-01-12 11:08:24 EST
This is very strange - I can reproduce no such problems here - please supply
some further information:

Did you try running s-c-b from the command line, ie. from a root terminal session:
  # system-config-bind 

When you do so, is there a python traceback, or just an error dialog ?
If there is a python traceback, please paste it into this bug report .

Are you running s-c-b as root from the GNOME session, or as a non-root user ?

Reviewing the code, it appears there is no place in the initialization code
that could emit an error dialog without further information, such as 
"Initialization Error" - it sounds like you may be running s-c-b from the
GNOME gui as a non-root user and there is a problem with consolehelper from
the 'usermode' package - I'll investigate this further.

If there is no python traceback, and still only an error dialog when run from
the command line, please run with the command:
  # SCB_DEBUG=1 system-config-bind
and paste the output into this bug report.

> DNS is down - custom setup removed by late-2005 update to kernel/bind/SCB via
> yum that removed master setup and reset to default caching-nameserver config.

Any modified config files would have been saved as '.rpmsave' files, so you
would not have lost the master configuration files - remove the
caching-nameserver package to avoid this happening again.
Comment 2 Jason Vas Dias 2006-01-12 11:28:48 EST
Aha! I see the problem. Unfortunately, the pam config file from FC5 was 
inadvertently included in the FC4 distribution - this removes support for
pam_stack, deprecated in FC5, but which would not work on FC4 . 
Workaround: run s-c-b as root. 
I'm attaching the working pam config file, which you can copy to 
/etc/pam.d/system-config-bind, and will generate a new s-c-b-4.0.0-38_FC4
with the working pam config file ASAP .
Comment 3 Jason Vas Dias 2006-01-12 11:31:11 EST
Created attachment 123125 [details]
correct pre-FC5 pam config file

Copy this to /etc/pam.d/system-config-bind to solve the problem
Comment 4 Jason Vas Dias 2006-01-12 13:16:40 EST
fixed with system-config-bind-4.0.0-38_FC4
Comment 5 Fedora Update System 2006-01-12 13:25:41 EST
From User-Agent: XML-RPC

system-config-bind-4.0.0-38_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Al Dunsmuir 2006-01-13 17:45:36 EST

Problem resolved by system-config-bind-4.0.0-38_FC4 update.

I was previously running root... should have mentioned that.

Thank you kindly for the fast response and update!

Note You need to log in before you can comment on or make changes to this bug.